Subject: bug#16913: Please extend case-fold-search on-the-fly toggling

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 Jun 2022 19:23:25 +0200

Juri Linkov <[email-masked]> writes:

>> So I've now added an `M-c' command to `read-regexp' and made `rgrep'
>> heed that in Emacs 29.
>
> Are you sure no one might want to use the global binding of M-c
> to capitalize words in the minibuffer?  While redefining it
> for read-regexp is fine, we need to allow disabling it,
> so I suggest to add ‘(defvar-keymap read-regexp-map …’.

It seemed unlikely to me, and it makes the definition much simpler
(because of closures), so I didn't make a map for this.

I.e., I don't think anybody is going to bother to change this binding.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no